# FoundationClasses
TKMath
TopLoc

# TopLoc_ItemLocation Class Reference

An ItemLocation is an elementary coordinate system
in a Location.
The ItemLocation contains :
* The elementary Datum.
* The exponent of the elementary Datum.
* The transformation associated to the composition.
.

`#include <TopLoc_ItemLocation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopLoc_ItemLocation (const Handle(TopLoc_Datum3D)&D, const Standard_Integer P, const Standard_Boolean fromTrsf=Standard_False)
| Sets the elementary Datum to <d> Sets the exponent to .
Standard_EXPORT | TopLoc_ItemLocation (const TopLoc_ItemLocation &anOther)
Standard_EXPORT TopLoc_ItemLocation & | Assign (const TopLoc_ItemLocation &anOther)
TopLoc_ItemLocation & | operator= (const TopLoc_ItemLocation &anOther)
Standard_EXPORT void | Destroy ()
| ~TopLoc_ItemLocation ()

## Private Attributes

Handle_TopLoc_Datum3D | myDatum
Standard_Integer | myPower
TopLoc_TrsfPtr | myTrsf

## Constructor & Destructor Documentation

Standard_EXPORT TopLoc_ItemLocation::TopLoc_ItemLocation | ( | const Handle(TopLoc_Datum3D)& | D,
|  | const Standard_Integer | P,
|  | const Standard_Boolean | fromTrsf = `Standard_False`
| ) |

Standard_EXPORT TopLoc_ItemLocation::TopLoc_ItemLocation | ( | const TopLoc_ItemLocation & | anOther | ) |

TopLoc_ItemLocation::~TopLoc_ItemLocation | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT TopLoc_ItemLocation& TopLoc_ItemLocation::Assign | ( | const TopLoc_ItemLocation & | anOther | ) |

Standard_EXPORT void TopLoc_ItemLocation::Destroy | ( |  | ) |

void TopLoc_ItemLocation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TopLoc_ItemLocation::operator new | ( | size_t | size | ) | `[inline]`

void* TopLoc_ItemLocation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TopLoc_ItemLocation& TopLoc_ItemLocation::operator= | ( | const TopLoc_ItemLocation & | anOther | ) | `[inline]`

## Field Documentation

Handle_TopLoc_Datum3D TopLoc_ItemLocation::myDatum `[private]`

Standard_Integer TopLoc_ItemLocation::myPower `[private]`

TopLoc_TrsfPtr TopLoc_ItemLocation::myTrsf `[private]`

The documentation for this class was generated from the following file:

- TopLoc_ItemLocation.hxx